VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties
VisimBox.Scene.NodeDictionary Class Reference

Extended version of dictionary used to store children of the node. More...

List of all members.

## Public Member Functions
| NodeDictionary (Node owner, Node parent)
| Constructs Node Dictionary.
void | Add (Node value)
| Adds node to the dictionary. If node with this name already exists, node will be renamed!
int | ContainsKeys (string key)
| Returns number of children node starting with specified key.
List< Node > | GetNodes (string key)
| Returns list of all nodes with names starting on key.
Node | GetChildByFullName (string fullname)
| Searches for child by fullname.
Node | SearchChild (string name)
| Searches subnodes for specified name.
void | Add (string key, Node value)
| Adds new node to the list. If key already exists, it will be changed to keyNumber, ie key0, key1, key2 etc. Node will be also renamed. Key cannot contain character "/" - it will be automatically replaced to -.
bool | ContainsKey (string key)
bool | Remove (string key)
| Removes node from the dictionary.
bool | Remove (Node node)
void | RenameChild (Node child, string newname)
bool | TryGetValue (string key, out Node value)
void | Add (KeyValuePair< string, Node > item)
void | Clear ()
bool | Contains (KeyValuePair< string, Node > item)
void | CopyTo (KeyValuePair< string, Node >[] array, int arrayIndex)
bool | Remove (KeyValuePair< string, Node > item)
IEnumerator< KeyValuePair < string, Node > > | GetEnumerator ()
## Protected Member Functions
| NodeDictionary ()
| No default constructor allowed.
## Protected Attributes
Dictionary< string, Node > | _dictionary = new Dictionary<string, Node>()
Node | _owner
Node | _parent
## Properties
ICollection< string > | Keys`[get]`
ICollection< Node > | Values`[get]`
Node | this[string key]`[get, set]`
int | Count`[get]`
bool | IsReadOnly`[get]`

## Detailed Description

Extended version of dictionary used to store children of the node.

## Constructor & Destructor Documentation

VisimBox.Scene.NodeDictionary.NodeDictionary | ( |  | ) | `[protected]`

No default constructor allowed.

VisimBox.Scene.NodeDictionary.NodeDictionary | ( | Node | owner,
|  | Node | parent
| ) |  |

Constructs Node Dictionary.

Parameters:

  owner | Owner of the dictionary
  parent | Parent of the owner

## Member Function Documentation

void VisimBox.Scene.NodeDictionary.Add | ( | Node | value | ) |

Adds node to the dictionary. If node with this name already exists, node will be renamed!

Parameters:

  value | New node

void VisimBox.Scene.NodeDictionary.Add | ( | string | key,
|  | Node | value
| ) |  |

Adds new node to the list. If key already exists, it will be changed to keyNumber, ie key0, key1, key2 etc. Node will be also renamed. Key cannot contain character "/" - it will be automatically replaced to -.

Parameters:

  key | required key
  value | required value

void VisimBox.Scene.NodeDictionary.Add | ( | KeyValuePair< string, Node > | item | ) |

void VisimBox.Scene.NodeDictionary.Clear | ( |  | ) |

bool VisimBox.Scene.NodeDictionary.Contains | ( | KeyValuePair< string, Node > | item | ) |

bool VisimBox.Scene.NodeDictionary.ContainsKey | ( | string | key | ) |

int VisimBox.Scene.NodeDictionary.ContainsKeys | ( | string | key | ) |

Returns number of children node starting with specified key.

Parameters:

  key | name of node

Returns:
  Number of nodes

void VisimBox.Scene.NodeDictionary.CopyTo | ( | KeyValuePair< string, Node >[] | array,
|  | int | arrayIndex
| ) |  |

Node VisimBox.Scene.NodeDictionary.GetChildByFullName | ( | string | fullname | ) |

Searches for child by fullname.

Parameters:

  fullname | Fullname of the child

Returns:
  null or child node

IEnumerator<KeyValuePair<string, Node> > VisimBox.Scene.NodeDictionary.GetEnumerator | ( |  | ) |

List<Node> VisimBox.Scene.NodeDictionary.GetNodes | ( | string | key | ) |

Returns list of all nodes with names starting on key.

Parameters:

  key | Name of the node

Returns:
  Null if no nodes, or list with nodes

bool VisimBox.Scene.NodeDictionary.Remove | ( | Node | node | ) |

bool VisimBox.Scene.NodeDictionary.Remove | ( | KeyValuePair< string, Node > | item | ) |

bool VisimBox.Scene.NodeDictionary.Remove | ( | string | key | ) |

Removes node from the dictionary.

Parameters:

  key |

Returns:

void VisimBox.Scene.NodeDictionary.RenameChild | ( | Node | child,
|  | string | newname
| ) |  |

Node VisimBox.Scene.NodeDictionary.SearchChild | ( | string | name | ) |

Searches subnodes for specified name.

Parameters:

  name | Name of the desired child, can be specified with parent/parent2/child syntax to find correct node

Returns:
  Null or found child node

bool VisimBox.Scene.NodeDictionary.TryGetValue | ( | string | key,
|  | out Node | value
| ) |  |

## Member Data Documentation

Dictionary<string, Node> VisimBox.Scene.NodeDictionary._dictionary = new Dictionary<string, Node>()`[protected]`

Node VisimBox.Scene.NodeDictionary._owner`[protected]`

Node VisimBox.Scene.NodeDictionary._parent`[protected]`

## Property Documentation

int VisimBox.Scene.NodeDictionary.Count`[get]`

bool VisimBox.Scene.NodeDictionary.IsReadOnly`[get]`

ICollection<string> VisimBox.Scene.NodeDictionary.Keys`[get]`

Node VisimBox.Scene.NodeDictionary.this[string key]`[get, set]`

ICollection<Node> VisimBox.Scene.NodeDictionary.Values`[get]`

The documentation for this class was generated from the following file:

- NodeDictionary.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events